Skip to main content
POST
/
content
/
api
/
v2
/
pages
/
{page_id}
/
push-buffer-live
Copies the contents of the auto-save buffer into the live Page
curl --request POST \
  --url https://api.hubapi.com/content/api/v2/pages/{page_id}/push-buffer-live
import requests

url = "https://api.hubapi.com/content/api/v2/pages/{page_id}/push-buffer-live"

response = requests.post(url)

print(response.text)
const options = {method: 'POST'};

fetch('https://api.hubapi.com/content/api/v2/pages/{page_id}/push-buffer-live', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 352531415,
  "name": "Contact Us",
  "slug": "my-api-demo-page-slug",
  "html_title": "The API Test Page",
  "published_url": "http://62515.hs-sites.com/my-api-demo-page-slug",
  "updated": 1441239877000
}

Path Parameters

page_id
string
required

The unique identifier for the page

Response

200 - application/json

Successfully pushed buffer live

The response is of type object.

Last modified on March 16, 2026